Global Payment
  1. Authentication
Global Payment
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Core Functionality
    • create-developer-user
    • create on-ramp request
    • create off-ramp request
    • create on-ramp whit wusd
    • create-developer-user-with-simple-kyb
  • AppendixDocs
    • Business Industry
    • Supported document
    • Appendix
  • Api Reference
    • Authentication
      • Get Access Token
        POST
      • Refresh Access Token
        POST
    • User
      • Create User
      • submit Kyb V2
      • User Info
      • Simple Kyb Submit
    • Trade
      • Create Fee Config
      • Update Fee Config
      • Get Fee Config
      • Create Trade Request
      • Confirm Transaction
      • Get Transaction
      • Get Exchange Rate
    • Remit
      • Create Remit
      • Update Remit
      • remit info page
      • Get Remit Info
    • File
      • Upload File
    • Webhook
      • Event Page
      • Simulate a Event Call
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. Authentication

Get Access Token

POST
/user/auth/oauth2/token
To use OAuth 2.0, please use Fetch Access Token first.
Add Authorization: Bearer {access_token} in the other API requests.
ParamDescriptionFixed Value
Content-TypeThe Content-Type should be multipart/form-data.multipart/form-data
api_keyThe API Key value fetched from Before Integration.
api_secretThe API Secret value fetched from Before Integration.
grant_typeFixed value client_credentials.client_credentials

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST 'https://openapi.dev.stablelink.app/user/auth/oauth2/token?grant_type=client_credentials&api_key=&api_secret='

Responses

🟢200成功
application/json
Body

Example
{
    "retcode": 200,
    "retdata": {
        "access_token": "Cji8NYO32ugrFJJkG7uCYiX2",
        "token_type": "bearer",
        "expires_in": 21600,
        "refresh_token": "C6k8Vqytb4S8x41RUdMNqzG1",
        "rt_expires_in": 43200
    },
    "success": true
}
Modified at 2025-12-24 08:33:18
Previous
Appendix
Next
Refresh Access Token
Built with